Expenses

Get My Hris Expenses Dashboard

Paginated own expense reports by derived status with per-currency counts and amounts.

GEThttps://api.toku.com/hris/get-my-hris-expenses-dashboard

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-my-hris-expenses-dashboard' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "totalCount": 0,
  "reports": [
    {
      "hrisExpenseReportID": "string",
      "roleInOrgID": "string",
      "roleInOrgName": "string",
      "roleInOrgEmail": "string",
      "roleInOrgDepartment": "string",
      "name": "string",
      "status": "string",
      "startDate": "string",
      "endDate": "string",
      "expensedCurrencyID": "string",
      "expensedCurrencyCode": "string",
      "expensedCurrencyName": "string",
      "totalAmountInExpenseCurrency": "string",
      "submittedAt": "string",
      "approvedAt": "string",
      "rejectedAt": "string",
      "paidAt": "string",
      "payoutStatus": "string",
      "decisionUndoableUntil": "string",
      "rejectionReason": "string",
      "reviewComment": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "expenseCount": 0,
      "categoryNames": [
        "string"
      ],
      "primaryExpenseCategoryName": "string",
      "hasReceiptlessExpenses": true,
      "thirdPartyProvider": "string",
      "thirdPartyReportID": "string",
      "reimbursementSyncedAt": "string",
      "reimbursementSyncError": "string"
    }
  ],
  "statusCounts": {
    "ALL": 0,
    "PENDING": 0,
    "APPROVED": 0,
    "REIMBURSED": 0,
    "REJECTED": 0
  },
  "dashboardSummary": {
    "totalSubmittedCount": 0,
    "totalSubmittedAmounts": [
      {
        "currencyCode": "string",
        "amount": "string"
      }
    ],
    "pendingCount": 0,
    "pendingAmounts": [
      {
        "currencyCode": "string",
        "amount": "string"
      }
    ],
    "approvedCount": 0,
    "approvedAmounts": [
      {
        "currencyCode": "string",
        "amount": "string"
      }
    ],
    "reimbursedCount": 0,
    "reimbursedAmounts": [
      {
        "currencyCode": "string",
        "amount": "string"
      }
    ],
    "rejectedCount": 0,
    "rejectedAmounts": [
      {
        "currencyCode": "string",
        "amount": "string"
      }
    ]
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

statusstring

Available options: PENDING, APPROVED, REIMBURSED, REJECTED

limitinteger

Allowed: 1 to 500

Default: 200

offsetinteger

Allowed: at least 0

Default: 0

Response

200Successful response
totalCountnumberrequired
reportsobject[]required
Show child attributes
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
roleInOrgNamestring | nullrequired
roleInOrgEmailstring | nullrequired
roleInOrgDepartmentstring | nullrequired
namestringrequired
statusstringrequired
startDatestring | nullrequired
endDatestring | nullrequired
expensedCurrencyIDstring | nullrequired
expensedCurrencyCodestring | nullrequired
expensedCurrencyNamestring | nullrequired
totalAmountInExpenseCurrencystring | nullrequired
submittedAtstring | nullrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
paidAtstring | nullrequired
payoutStatusstring | nullrequired
decisionUndoableUntilstring | nullrequired
rejectionReasonstring | nullrequired
reviewCommentstring | nullrequired
createdAtstring | nullrequired
updatedAtstring | nullrequired
expenseCountnumberrequired
categoryNamesstring[]required
primaryExpenseCategoryNamestring | nullrequired
hasReceiptlessExpensesbooleanrequired
thirdPartyProviderstring | nullrequired
thirdPartyReportIDstring | nullrequired
reimbursementSyncedAtstring | nullrequired
reimbursementSyncErrorstring | nullrequired
statusCountsobjectrequired
Show child attributes
ALLnumberrequired
PENDINGnumberrequired
APPROVEDnumberrequired
REIMBURSEDnumberrequired
REJECTEDnumberrequired
dashboardSummaryobjectrequired
Show child attributes
totalSubmittedCountnumberrequired
totalSubmittedAmountsobject[]required
Show child attributes
currencyCodestring | nullrequired
amountstringrequired
pendingCountnumberrequired
pendingAmountsobject[]required
Show child attributes
currencyCodestring | nullrequired
amountstringrequired
approvedCountnumberrequired
approvedAmountsobject[]required
Show child attributes
currencyCodestring | nullrequired
amountstringrequired
reimbursedCountnumberrequired
reimbursedAmountsobject[]required
Show child attributes
currencyCodestring | nullrequired
amountstringrequired
rejectedCountnumberrequired
rejectedAmountsobject[]required
Show child attributes
currencyCodestring | nullrequired
amountstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits